# Function objects

## Classes

struct | Function
class | Loki::Functor< R, TList, ThreadingModel >
class | Loki::BinderFirst< OriginalFunctor >
class | Loki::Chainer< Fun1, Fun2 >

## Functions

template<class Fctor >
Private::BinderFirstTraits < Fctor >::BoundFunctorType | Loki::BindFirst (const Fctor &fun, typename Fctor::Parm1 bound)
template<class Fun1 , class Fun2 >
Fun2 | Loki::Chain (const Fun1 &fun1, const Fun2 &fun2)

## Function Documentation

template<class Fctor >

Private::BinderFirstTraits<Fctor>::BoundFunctorType Loki::BindFirst | ( | const Fctor & | fun,
|  | typename Fctor::Parm1 | bound |
| ) |  |  | `[inline]`

Binds the first parameter of a Functor object to a specific value

template<class Fun1 , class Fun2 >

Fun2 Loki::Chain | ( | const Fun1 & | fun1,
|  | const Fun2 & | fun2 |
| ) |  |  | `[inline]`

Chains two functor calls one after another